Update to 1.4.0 RC11 : Failed Backing up database



  • SERVER

    FOG Version: fog-1-4-0-rc-9.3
    OS: Debian 8
    CLIENT

    Service Version: 0.11.12
    OS: 7 / 8.1 / 10
    DESCRIPTION

    I can’t do the update from fog-1.4.0 RC9.3 to fog 1.4.0 RC11

    * Backing up database.........................................Failed!
    
    

    File fog_error_1.4.0-RC-11.log (I have replace the real IP and name)

    mai 08 21:39:54 server systemd[1]: Started The PHP FastCGI Process Manager.
    --2017-05-08 21:39:58--  http://X.X.X.X//fog//maintenance/backup_db.php
    Connexion à X.X.X.X:80… connecté.
    requête HTTP transmise, en attente de la réponse… 500 Internal Server Error
    2017-05-08 21:39:58 erreur 500 : Internal Server Error.
    

    Can you help me ?

    Thanks



  • @Tom-Elliott Its works! I’m with RC12 version with dev-branch. Thank you very much for your help.

    Running Version 1.4.0-RC-12
    SVN Revision: 6069
    

  • Senior Developer

    @o71 I don’t think it’s anything dev-branch is doing directly. I think it’s your version of dev-branch causing the problem, though I don’t know what/why.

    Either way RC 12 is now live.



  • @Tom-Elliott
    The problem would come from the dev-branch and not from my server? If so, it is better that I stay for the moment in RC9.3 and I wait for another update? Or can I stay in the current state without fear of future problems?


  • Senior Developer

    @o71 you can do the checkout yes, but I suspect something is failing to update all the way through (which is what’s causing the issue on dev-branch itself).



  • @Tom-Elliott Its works ! What should I do now ? I do it :

    git checkout dev-branch
    

  • Senior Developer

    I feel I should add because I’ve now tested both working and dev-branch and I’m not running into any problems.

    @falko had the issue because he was using the working branch and he happened to pull between periods I was working on another element.


  • Senior Developer

    @o71 Can you try:

    git checkout working
    git pull
    cd bin
    ./installfog.sh -y
    


  • @Tom-Elliott Same problem :(


  • Senior Developer

    @o71 can you please run:

    git reset --hard
    git pull
    cd bin
    ./installfog.sh -y
    


  • @Tom-Elliott

    git status
    Sur la branche dev-branch
    Votre branche est à jour avec 'origin/dev-branch'.
    Modifications qui ne seront pas validées :
      (utilisez "git add <fichier>..." pour mettre à jour ce qui sera validé)
      (utilisez "git checkout -- <fichier>..." pour annuler les modifications dans la copie de travail)
    
            modifié :         src/ipxe/src-efi/config/console.h
            modifié :         src/ipxe/src/config/console.h
    
    Fichiers non suivis:
      (utilisez "git add <fichier>..." pour inclure dans ce qui sera validé)
    
            bin/checksum_init/
            bin/checksum_kernel/
            packages/FOGService.msi
            packages/clientfiles/
            packages/inits/
            packages/kernels/
            rpttmp/
    
    aucune modification n'a été ajoutée à la validation (utilisez "git add" ou "git commit -a")
    

  • Senior Developer

    @o71 Run:

    git status
    

    From within the git folder.



  • @Tom-Elliott How can I find it ?


  • Senior Developer

    @o71 Are you running working branch?



  • The apache error log :

    [Mon May 08 22:51:19.713234 2017] [:error] [pid 4949] [client X.X.X.X:63396] PHP Fatal error:  Uncaught exception 'LogicException' with message 'Class Manager could not be loaded' in /var/www/html/fog/lib/fog/plugin.class.php:307\nStack trace:\n#0 [internal function]: spl_autoload('Manager')\n#1 /var/www/html/fog/lib/fog/plugin.class.php(307): class_exists('Manager')\n#2 /var/www/html/fog/lib/fog/fogbase.class.php(1925): Plugin->getManager()\n#3 /var/www/html/fog/lib/fog/fogbase.class.php(596): FOGBase::getSubObjectIDs('Plugin', Array, 'name')\n#4 /var/www/html/fog/lib/fog/fogcore.class.php(171): FOGBase::getActivePlugins()\n#5 /var/www/html/fog/lib/fog/loadglobals.class.php(44): FOGCore::setEnv()\n#6 /var/www/html/fog/lib/fog/loadglobals.class.php(77): LoadGlobals::_init()\n#7 /var/www/html/fog/commons/base.inc.php(49): LoadGlobals->__construct()\n#8 /var/www/html/fog/service/getversion.php(30): require('/var/www/html/f...')\n#9 {main}\n  thrown in /var/www/html/fog/lib/fog/plugin.class.php on line 307
    
    

  • Moderator

    I also receive this error


  • Senior Developer

    What’s the error from Apache error log?


Log in to reply
 

389
Online

39.3k
Users

11.0k
Topics

104.6k
Posts

Looks like your connection to FOG Project was lost, please wait while we try to reconnect.